package domain

type AlibabaHmMarketingBuygiftItemRemoveAsyncMarketResult struct {
	/*
	   处理结果     */
	Message *string `json:"message,omitempty" `

	/*
	   错误编码     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   结果数据     */
	Datas *[]AlibabaHmMarketingBuygiftItemRemoveAsyncItemBuyGiftSku `json:"datas,omitempty" `

	/*
	   success     */
	Success *bool `json:"success,omitempty" `
}

func (s *AlibabaHmMarketingBuygiftItemRemoveAsyncMarketResult) SetMessage(v string) *AlibabaHmMarketingBuygiftItemRemoveAsyncMarketResult {
	s.Message = &v
	return s
}
func (s *AlibabaHmMarketingBuygiftItemRemoveAsyncMarketResult) SetErrorCode(v string) *AlibabaHmMarketingBuygiftItemRemoveAsyncMarketResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaHmMarketingBuygiftItemRemoveAsyncMarketResult) SetDatas(v []AlibabaHmMarketingBuygiftItemRemoveAsyncItemBuyGiftSku) *AlibabaHmMarketingBuygiftItemRemoveAsyncMarketResult {
	s.Datas = &v
	return s
}
func (s *AlibabaHmMarketingBuygiftItemRemoveAsyncMarketResult) SetSuccess(v bool) *AlibabaHmMarketingBuygiftItemRemoveAsyncMarketResult {
	s.Success = &v
	return s
}
